// First layer will be "default" layer in QMK.
// Second will have index 1, etc. See layers.h


// These MUST be first.
// (For example, LAYER_ARROWS overlays on top of LAYER_MAIN.)
#include "main.h"
#include "russian.h"


#include "numbers.h" // Must be under symbols and arrows


// The order of the layers below doesn't matter,
// since they avoid transparent keys.
#include "symbols.h"
#include "symbols_ru.h"
#include "flip.h"

#include "arrows.h"
#include "desktop.h"
//#include "fkeys.h"
#include "keyboard.h"

