// See symbols.h for docs

#define BETA_LAYER_MAGIC_MACRO BETA_LAYER(MACROS)

#ifdef BETA_LAYER_LAYOUTS
#define BETA_LAYER_CONTEXT_DATA LAYOUT_EN
BETA_LAYER_MAGIC_MACRO
#endif

#ifdef BETA_LAYER_KEYS
#define BETA_LAYER_CONTEXT_DATA LAYOUT_voyager(                                      \
    TO(LAYER_MAIN), LGUI(KC_1), LGUI(KC_2), LGUI(KC_3), LGUI(KC_4), LGUI(KC_5),      \
    KC_LGUI, KC_NO, TD(TD_SCREENSHOT), KC_NO, KC_NO, LGUI(KC_T),                     \
    KC_MEDIA_PLAY_PAUSE, KC_MEDIA_NEXT_TRACK, KC_NO, KC_NO, OSL(LAYER_FKEYS), KC_NO, \
    KC_NO, KC_MEDIA_PREV_TRACK, KC_NO, LGUI(KC_W), KC_NO, TO(LAYER_GAME),            \
    LGUI(KC_ENTER), LGUI(KC_BSLS),                                                   \
                                                                                     \
    M_SHUTDOWN, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO,                                   \
    KC_NO, KC_NO, KC_NO, KC_NO, LGUI(KC_SPACE), TD(TD_WMLAYOUT),                     \
    KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, TT(LAYER_RUSSIAN),                            \
    LCTL(LGUI(LSFT(KC_R))), KC_NO, KC_NO, KC_NO, KC_NO, KC_NO,                       \
    KC_NO, KC_NO)

BETA_LAYER_MAGIC_MACRO
#endif

#ifdef BETA_LAYER_LEDS
#define BETA_LAYER_CONTEXT_DATA {                   \
    LC_RED, LC_PNK, LC_PNK, LC_PNK, LC_PNK, LC_PNK, \
    LC_CYN, LC_OFF, LC_CYN, LC_OFF, LC_OFF, LC_OFF, \
    LC_GRN, LC_GRN, LC_OFF, LC_OFF, LC_BLU, LC_OFF, \
    LC_OFF, LC_GRN, LC_OFF, LC_ORN, LC_OFF, LC_RED, \
    LC_PNK, LC_PNK,                                 \
    LC_RED, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, \
    LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_RED, LC_RED, \
    LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_BLU, \
    LC_ORN, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, \
    LC_OFF, LC_OFF}

BETA_LAYER_MAGIC_MACRO
#endif

#undef BETA_LAYER_CONTEXT_DATA
#undef BETA_LAYER_MAGIC_MACRO