// See symbols.h for docs

#define BETA_LAYER_MAGIC_MACRO BETA_LAYER(MAIN)

#ifdef BETA_LAYER_LAYOUTS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_EN
    BETA_LAYER_MAGIC_MACRO
#endif

#ifdef BETA_LAYER_KEYS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_ergodox(\
        KC_ESCAPE,              KC_1,       KC_2,       KC_3,           KC_4,       KC_5,           TO(LAYER_NUMBERS),\
        KC_TAB,                 KC_Q,       KC_W,       KC_E,           KC_R,       KC_T,           QK_LEAD, \
        KC_DELETE,              KC_A,       KC_S,       KC_D,           KC_F,       KC_G,\
        KC_LCTL,                KC_Z,       KC_X,       KC_C,           KC_V,       KC_B,           KC_LALT,\
        OSL(LAYER_DESKTOP),     KC_NO,    KC_NO,      KC_LSFT,        MO(LAYER_ARROWS),\
    \
            TD(TD_SCREENSHOT),  TD(TD_OCR),\
                                TD(TD_WMLAYOUT),\
        KC_SPACE,   KC_BSPC,    OSL(LAYER_FLIP),\
    \
    \
        KC_NO,      KC_6,       KC_7,       KC_8,      KC_9,                   KC_0,            LGUI(KC_TAB),\
        KC_NO,      KC_Y,       KC_U,       KC_I,      KC_O,                   KC_NO,           KC_NO,\
                    KC_H,       KC_J,       KC_K,      MO(LAYER_SYMBOLS),      KC_L,            QK_LEAD,\
        KC_NO,      KC_N,       KC_M,       KC_P,      KC_V,                     KC_NO,           KC_NO,\
                                KC_RIGHT,   KC_NO,     KC_NO,                  KC_NO,           LGUI(KC_SPACE),\
    \
        KC_NO, KC_NO,\
        KC_NO, \
        TO(LAYER_RUSSIAN), KC_RSFT, KC_ENTER\
    )

    BETA_LAYER_MAGIC_MACRO
#endif

#undef BETA_LAYER_CONTEXT_DATA
#undef BETA_LAYER_MAGIC_MACRO