// See symbols.h for docs

#define BETA_LAYER_MAGIC_MACRO BETA_LAYER(RUSSIAN)

#ifdef BETA_LAYER_LAYOUTS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_RU
    BETA_LAYER_MAGIC_MACRO
#endif

#ifdef BETA_LAYER_KEYS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_ergodox(\
        KC_TRANSPARENT, RU_1,                  RU_2,           RU_3,           RU_4,           RU_5,  KC_TRANSPARENT,\
        KC_TRANSPARENT, RU_CHE,                RU_SHA,         RU_IE,          RU_ER,          RU_TE,          RU_YO,\
        KC_TRANSPARENT, RU_A,                  RU_ES,          RU_DE,          RU_EF,          RU_GHE,\
        M_RU_CTRL,      RU_ZE,                 RU_YA,          RU_TSE,         RU_VE,          RU_BE,          RU_E,\
        KC_TRANSPARENT, KC_TRANSPARENT,        M_RU_ALT,       KC_TRANSPARENT, MO(LAYER_ARROWS),\
    \
                        KC_TRANSPARENT, KC_TRANSPARENT,\
                                        KC_TRANSPARENT,\
        KC_TRANSPARENT, KC_TRANSPARENT, KC_TRANSPARENT,\
    \
    \
        KC_NO,          RU_6,           RU_7,           RU_8,                     RU_9,           RU_0,               KC_TRANSPARENT,\
        RU_SOFT,        RU_U,           RU_YU,          RU_I,                     RU_O,           RU_SHCH,            KC_NO,\
                        RU_HA,          RU_ZHE,         RU_KA,              MO(LAYER_SYMBOLS_RU), RU_EL,              KC_NO,\
        RU_HARD,        RU_EN,          RU_EM,          RU_PE,                    RU_YERU,        RU_SHTI,            KC_TRANSPARENT,\
                                        KC_TRANSPARENT, KC_TRANSPARENT,           KC_TRANSPARENT, KC_TRANSPARENT,     KC_TRANSPARENT,\
    \
        KC_TRANSPARENT, KC_TRANSPARENT,\
        KC_TRANSPARENT,\
        TO(LAYER_MAIN), KC_TRANSPARENT, KC_TRANSPARENT\
    )

    BETA_LAYER_MAGIC_MACRO
#endif


#ifdef BETA_LAYER_LEDS
    #define BETA_LAYER_CONTEXT_DATA LEDS_ergodox(\
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
        LC_RU_B,        LC_RU_B,      LC_RU_B,      LC_RU_B,      LC_RU_B, \
        LC_RU_G,        LC_RU_G,      LC_RU_G,      LC_RU_G,      LC_RU_G, \
        LC_RU_K,        LC_RU_K,      LC_RU_K,      LC_RU_K,      LC_RU_K, \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF, \
        \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
        LC_RU_B,        LC_RU_B,      LC_RU_B,      LC_RU_B,      LC_RU_B, \
        LC_RU_G,        LC_RU_G,      LC_RU_G,      LC_RU_G,      LC_RU_G, \
        LC_RU_K,        LC_RU_K,      LC_RU_K,      LC_RU_K,      LC_RU_K, \
                        LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF  \
    )

    BETA_LAYER_MAGIC_MACRO
#endif


#undef BETA_LAYER_CONTEXT_DATA
#undef BETA_LAYER_MAGIC_MACRO