// See symbols.h for docs

#define BETA_LAYER_MAGIC_MACRO BETA_LAYER(SYMBOLS_RU)

#ifdef BETA_LAYER_LAYOUTS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_RU
    BETA_LAYER_MAGIC_MACRO
#endif

#ifdef BETA_LAYER_KEYS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_ergodox(\
        KC_NO,          RU_EXLM,      RU_DQUO,      RU_NUM,         RU_SCLN,        RU_PERC,      KC_NO,\
        KC_NO,          M_SC_GRAVE,   RU_LPRN,      RU_RPRN,        RU_QUES,        M_SC_LCBR,    KC_NO,\
        KC_NO,          M_SC_TILD,    M_SC_QUOT,    RU_COMM,        RU_DOT,         RU_DQUO,\
        KC_NO,          KC_NO,        M_SC_LBR,     M_SC_RBR,       RU_EXLM,        M_SC_RCBR,    KC_NO,\
        KC_NO,          KC_NO,        KC_NO,        M_SC_LKVCH,     M_SC_RKVCH,\
    \
                KC_NO,  KC_NO,\
                        KC_NO,\
        KC_NO,  KC_NO,  KC_NO,\
    \
    \
        KC_NO,          RU_COLN,        RU_QUES,        RU_ASTR,        RU_LPRN,        RU_RPRN,        KC_NO,\
        KC_NO,          KC_NO,          KC_NO,          RU_SLSH,        KC_NO,          RU_BSLS,        KC_NO,\
                        RU_UNDS,        RU_MINS,        RU_COLN,        KC_TRANSPARENT, KC_NO,          KC_NO,\
        KC_NO,          RU_EQL,         RU_PLUS,        RU_SCLN,        KC_NO,          KC_NO,          KC_NO,\
                                        KC_NO,          KC_NO,          KC_NO,          KC_NO,          KC_NO,\
    \
        KC_NO, KC_NO,\
        KC_NO,\
        KC_NO, KC_NO, KC_NO\
    )

    BETA_LAYER_MAGIC_MACRO
#endif


#ifdef BETA_LAYER_LEDS
    #define BETA_LAYER_CONTEXT_DATA LEDS_ergodox(\
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
        LC_WHITE,         LC_CYAN,      LC_CYAN,      LC_PINK,      LC_WHITE, \
        LC_WHITE,         LC_WHITE,       LC_PINK,      LC_PINK,      LC_PINK, \
        LC_OFF,         LC_WHITE,       LC_WHITE,       LC_PINK,      LC_WHITE, \
        LC_OFF,         LC_OFF,       LC_WHITE,       LC_WHITE, \
        \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
        LC_OFF,         LC_OFF,       LC_CYAN,      LC_OFF,       LC_CYAN, \
        LC_CYAN,        LC_GREEN,     LC_PINK,      LC_ORANGE,    LC_OFF, \
        LC_GREEN,       LC_GREEN,     LC_PINK,      LC_OFF,       LC_OFF, \
                        LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF  \
    )

    BETA_LAYER_MAGIC_MACRO
#endif


#undef BETA_LAYER_CONTEXT_DATA
#undef BETA_LAYER_MAGIC_MACRO