// See symbols.h for docs

#define BETA_LAYER_MAGIC_MACRO BETA_LAYER(GAME)

#ifdef BETA_LAYER_LAYOUTS
#define BETA_LAYER_CONTEXT_DATA LAYOUT_EN
BETA_LAYER_MAGIC_MACRO
#endif

#ifdef BETA_LAYER_KEYS
#define BETA_LAYER_CONTEXT_DATA LAYOUT_voyager(                 \
    KC_ESCAPE, KC_1, KC_2, KC_3, KC_4, KC_5,                    \
    KC_TAB, KC_Q, KC_W, KC_E, KC_R, KC_T,                       \
    KC_DELETE, KC_A, KC_S, KC_D, KC_F, KC_G,                    \
    KC_LCTL, KC_Z, KC_X, KC_C, MO(LAYER_ARROWS), TD(TD_NOGAME), \
                                                                \
    KC_SPACE, KC_BSPC,                                          \
                                                                \
    KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO,                   \
    KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO,                   \
    KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO,                   \
    KC_NO, KC_NO, KC_NO, KC_NO, KC_NO, KC_NO,                   \
    KC_NO, KC_NO)

BETA_LAYER_MAGIC_MACRO
#endif

#ifdef BETA_LAYER_LEDS
#define BETA_LAYER_CONTEXT_DATA {                   \
    LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, \
    LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, \
    LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, \
    LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_RED, \
    LC_OFF, LC_OFF,                                 \
    LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, \
    LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, \
    LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, \
    LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, \
    LC_OFF, LC_OFF}

// This is important.
// The magic macro MUST be here, AFTER the RGBMatrix data.
BETA_LAYER_MAGIC_MACRO
#endif

#undef BETA_LAYER_CONTEXT_DATA
#undef BETA_LAYER_MAGIC_MACRO