// See symbols.h for docs

#define BETA_LAYER_MAGIC_MACRO BETA_LAYER(RUSSIAN)

#ifdef BETA_LAYER_LAYOUTS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_EN
    BETA_LAYER_MAGIC_MACRO
#endif

#ifdef BETA_LAYER_KEYS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_voyager(\
        KC_ESCAPE,                 RU_1,                RU_2,                RU_3,    RU_4,              RU_5, \
        OSL(LAYER_MACROS),         RU_CHE,              RU_SHA,              RU_IE,   RU_ER,             RU_TE, \
        KC_DELETE,                 MT(MOD_LALT, RU_A),  RU_ES,               RU_DE,   RU_EF,             RU_GHE, \
        LM(MOD_LCTL, LAYER_CTRL),  RU_ZE,               MT(MOD_LSFT, RU_YA), RU_TSE,  MO(LAYER_ARROWS),  RU_BE, \
        KC_SPACE,   KC_BSPC, \
    \
        RU_6,     RU_7,      RU_8,      RU_9,                 RU_0,        LGUI(KC_TAB), \
        RU_U,     RU_YU,     RU_I,      RU_O,                 RU_SHCH,     RU_HARD, \
        RU_HA,    RU_ZHE,    RU_KA,     MO(LAYER_SYMBOLS),    RU_EL,       RU_SOFT, \
        RU_EN,    RU_EM,     RU_PE,     RU_VE,                RU_YERU,     RU_SHTI, \
        KC_RSFT, KC_ENTER \
    )

    BETA_LAYER_MAGIC_MACRO
#endif

#ifdef BETA_LAYER_LEDS
    #define BETA_LAYER_CONTEXT_DATA {\
        LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, \
        LC_RUB, LC_RUB, LC_RUB, LC_RUB, LC_RUB, LC_RUB, \
        LC_RUG, LC_RUG, LC_RUG, LC_RUG, LC_RUG, LC_RUG, \
        LC_RUK, LC_RUK, LC_RUK, LC_RUK, LC_RUK, LC_RUK, \
        LC_OFF, LC_OFF, \
        LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, LC_OFF, \
        LC_RUB, LC_RUB, LC_RUB, LC_RUB, LC_RUB, LC_RUB, \
        LC_RUG, LC_RUG, LC_RUG, LC_RUG, LC_RUG, LC_RUG, \
        LC_RUK, LC_RUK, LC_RUK, LC_RUK, LC_RUK, LC_RUK, \
        LC_OFF, LC_OFF \
    }

    BETA_LAYER_MAGIC_MACRO
#endif


#undef BETA_LAYER_CONTEXT_DATA
#undef BETA_LAYER_MAGIC_MACRO