#include "features/leader/beta_leader.h"

BETA_LEADER_EXTERNS();

void beta_leader_start(void) {}
void beta_leader_end(void) {}


bool beta_leader_check(void) {

	BETA_SEQ_2_SHORT(KC_E, KC_M) {
		SEND_STRING(SECRET_EMAIL);
		return false;
	}

	BETA_SEQ_2_SHORT(KC_G, KC_M) {
		SEND_STRING(SECRET_GMAIL);
		return false;
	}

	BETA_SEQ_2_SHORT(KC_L, KC_I) {
		SEND_STRING(SECRET_SCHOOL_EMAIL);
		return false;
	}

	BETA_SEQ_2_SHORT(KC_K, KC_B) {
		layer_move(LAYER_KEYBOARD);
		return false;
	}

	BETA_SEQ_1_SHORT(KC_N) {
		layer_move(LAYER_NUMBERS);
		return false;
	}

	return true;
}